package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公告对象 mall_cms_notice
 * 
 * @author chang
 * @date 2021-11-25
 */
public class MallCmsNotice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公告id */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String noticeTitle;

    /** 封面图片 */
    @Excel(name = "封面图片")
    private String noticeImg;

    /** 内容 */
    private String noticeContent;

    /** 状态(0-显示,1-隐藏) */
    @Excel(name = "状态(0-显示,1-隐藏)")
    private String noticeStatus;

    /** 作者 */
    private String noticeAuthor;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setNoticeTitle(String noticeTitle) 
    {
        this.noticeTitle = noticeTitle;
    }

    public String getNoticeTitle() 
    {
        return noticeTitle;
    }
    public void setNoticeImg(String noticeImg) 
    {
        this.noticeImg = noticeImg;
    }

    public String getNoticeImg() 
    {
        return noticeImg;
    }
    public void setNoticeContent(String noticeContent) 
    {
        this.noticeContent = noticeContent;
    }

    public String getNoticeContent() 
    {
        return noticeContent;
    }
    public void setNoticeStatus(String noticeStatus) 
    {
        this.noticeStatus = noticeStatus;
    }

    public String getNoticeStatus() 
    {
        return noticeStatus;
    }
    public void setNoticeAuthor(String noticeAuthor) 
    {
        this.noticeAuthor = noticeAuthor;
    }

    public String getNoticeAuthor() 
    {
        return noticeAuthor;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("noticeTitle", getNoticeTitle())
            .append("noticeImg", getNoticeImg())
            .append("noticeContent", getNoticeContent())
            .append("noticeStatus", getNoticeStatus())
            .append("noticeAuthor", getNoticeAuthor())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
